Loading ...
Sorry, an error occurred while loading the content.
 

OpenDebianSlug: problem with samba

Expand Messages
  • belchibub
    Hi! Don t know if this is the right place to ask and if it is nt please guide me in the right direction :) So.. I used openslug for a while but i never got php
    Message 1 of 1 , Oct 26, 2005
      Hi!
      Don't know if this is the right place to ask and if it is'nt please
      guide me in the right direction :)

      So.. I used openslug for a while but i never got php to work with apache.
      And since I use Debian on another computer I thought I'd try
      OpenDebianSlug. The install went fine and the first program I
      installed with apt-get was vsftpd and it worked. I then tried to
      install samba with apt-get. It didn't work and this is all I get:

      nslu:~# apt-get install samba
      Reading Package Lists... Done
      Building Dependency Tree... Done
      The following extra packages will be installed:
      libcupsys2-gnutls10 libdb4.1 libkrb53 libroken16-kerberos4kth
      samba-common
      Suggested packages:
      krb5-doc krb5-user samba-doc
      The following NEW packages will be installed:
      libcupsys2-gnutls10 libdb4.1 libkrb53 libroken16-kerberos4kth samba
      samba-common
      0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
      Need to get 0B/5353kB of archives.
      After unpacking 12.5MB of additional disk space will be used.
      Do you want to continue? [Y/n] y
      Preconfiguring packages ...
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      Selecting previously deselected package libdb4.1.
      (Reading database ... 9370 files and directories currently installed.)
      Unpacking libdb4.1 (from .../libdb4.1_4.1.25-18_armeb.deb) ...
      Selecting previously deselected package libkrb53.
      Unpacking libkrb53 (from .../libkrb53_1.3.6-2_armeb.deb) ...
      Selecting previously deselected package libcupsys2-gnutls10.
      Unpacking libcupsys2-gnutls10 (from
      .../libcupsys2-gnutls10_1.1.23-10_armeb.deb) ...
      Selecting previously deselected package libroken16-kerberos4kth.
      Unpacking libroken16-kerberos4kth (from
      .../libroken16-kerberos4kth_1.2.2-11.2_armeb.deb) ...
      Selecting previously deselected package samba-common.
      Unpacking samba-common (from .../samba-common_3.0.14a-3_armeb.deb) ...
      Selecting previously deselected package samba.
      Unpacking samba (from .../samba_3.0.14a-3_armeb.deb) ...
      Setting up libdb4.1 (4.1.25-18) ...
      Setting up libkrb53 (1.3.6-2) ...

      Setting up libcupsys2-gnutls10 (1.1.23-10) ...

      Setting up libroken16-kerberos4kth (1.2.2-11.2) ...

      Setting up samba-common (3.0.14a-3) ...
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      sed: bad option in substitution expression
      dpkg: error processing samba-common (--configure):
      subprocess post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of samba:
      samba depends on samba-common (= 3.0.14a-3); however:
      Package samba-common is not configured yet.
      dpkg: error processing samba (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba-common
      samba
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      I used the openslug 2.7 firmware if that is any help.
      If anyone knows how to solve this it would really make me happy :)

      Thanks..
    Your message has been successfully submitted and would be delivered to recipients shortly.